## beast-mcmc 1.6.2

=== release/common/native/Makefile ===
#
# command-line: make STATE_COUNT=<#> mac/linux
#

STATE_COUNT = 4

INNAME 		:= NewNativeLikelihoodCore.c
OUTNAME		:= NativeLikelihoodCore-$(STATE_COUNT)

############

MAC_JAVA_HOME	:= /Library/Java/Home
#LINUX_JAVA_HOME	:= /usr/java/j2sdk1.4.1_01
LINUX_JAVA_HOME	:= /usr/java/jdk1.6.0_07

MAC_INCLUDES	+= -I$(MAC_JAVA_HOME)/include
LINUX_INCLUDES	+= -I$(LINUX_JAVA_HOME)/include -I$(LINUX_JAVA_HOME)/include/linux

ARCH		:= i386

MAC_LINK	:= bundle  # Can also be 'dynamiclib'
LINUX_LINK	:= shared

OPTIONS		:= -funroll-loops -ffast-math -fstrict-aliasing

############################################################


mac :
	cc -c -arch $(ARCH) -O3 -fast $(OPTIONS) $(MAC_INCLUDES) -std=c99 \
	   -DSTATE_COUNT=$(STATE_COUNT) \
	   -o $(OUTNAME).$(ARCH).o $(INNAME)
	cc -o lib$(OUTNAME).$(ARCH).jnilib -framework JavaVM -arch $(ARCH) \
	   -$(MAC_LINK) $(OUTNAME).$(ARCH).o
	lipo -create lib$(OUTNAME).$(ARCH).jnilib \
	     -output lib$(OUTNAME).jnilib

linux :
	gcc -c -O4 $(OPTIONS) $(LINUX_INCLUDES) -c $(INNAME) -std=c99 -DSTATE_COUNT=$(STATE_COUNT)  -o lib$(OUTNAME).o
	ld -$(LINUX_LINK) -o lib$(OUTNAME).so lib$(OUTNAME).o

=== debian/changelog ===
beast-mcmc (1.6.2-2ubuntu1) quantal; urgency=low

  * Transition to use default java implementation:
    - d/control: Switch openjdk-6-{jdk|jre} -> default-{jdk|jre}.
    - d/rules: Use /usr/lib/jvm/default-java, explicitly export 
      JAVA_HOME.

 -- James Page <james.page@ubuntu.com>  Wed, 01 Aug 2012 11:48:26 +0100

beast-mcmc (1.6.2-2) unstable; urgency=low

  * debian/control: rename beast-doc to beast-mcmc-doc
    Closes: #679394
    For consistency reasons also rename beast-examples to
    beast-mcmc-examples

 -- Andreas Tille <tille@debian.org>  Fri, 29 Jun 2012 11:24:51 +0200

beast-mcmc (1.6.2-1) unstable; urgency=low

  * Initial release. (Closes: #552101)

 -- Andreas Tille <tille@debian.org>  Tue, 05 Jun 2012 14:38:11 +0200

=== debian/control ===
Source: beast-mcmc
Section: contrib/science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 9), javahelper (>=0.25),
 ant, ant-optional, default-jdk,
 libjebl2-java, libjam-java, figtree, liboptions-java, libhmsbeagle-java,
 libcolt-java, libmpj-java, r-cran-rjava, libcommons-math-java (>= 2.2),
 libjdom1-java, junit4, libmtj-java, libitext1-java, texlive-latex-base,
 texlive-latex-extra
Standards-Version: 3.9.3
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/beast-mcmc/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/beast-mcmc/trunk/
XS-Autobuild: yes
Homepage: http://beast.bio.ed.ac.uk/

Package: beast-mcmc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${java:Depends}, default-jre | java6-runtime,
 beast-mcmc-lib, xterm | x-terminal-emulator
Suggests: beast-mcmc-doc
Description: Bayesian MCMC phylogenetic inference
 BEAST is a cross-platform program for Bayesian MCMC analysis of molecular 
 sequences. It is entirely orientated towards rooted, time-measured 
 phylogenies inferred using strict or relaxed molecular clock models. It
 can be used as a method of reconstructing phylogenies but is also a 
 framework for testing evolutionary hypotheses without conditioning on a 
 single tree topology. BEAST uses MCMC to average over tree space, so that 
 each tree is weighted proportional to its posterior probability. Included 
 is a simple to use user-interface program for setting up standard 
 analyses and a suit of programs for analysing the results.

Package: beast-mcmc-lib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: beast-mcmc-doc
Description: Bayesian MCMC phylogenetic inference
 BEAST is a cross-platform program for Bayesian MCMC analysis of molecular 
 sequences. It is entirely orientated towards rooted, time-measured 
 phylogenies inferred using strict or relaxed molecular clock models. It
 can be used as a method of reconstructing phylogenies but is also a 
 framework for testing evolutionary hypotheses without conditioning on a 
 single tree topology. BEAST uses MCMC to average over tree space, so that 
 each tree is weighted proportional to its posterior probability. Included 
 is a simple to use user-interface program for setting up standard 
 analyses and a suit of programs for analysing the results.
 .
 This package contains an architecture dependent library.

Package: beast-mcmc-examples
Architecture: all
Section: contrib/doc
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: beast-mcmc
Description: Bayesian MCMC phylogenetic inference - example data
 BEAST is a cross-platform program for Bayesian MCMC analysis of molecular 
 sequences. It is entirely orientated towards rooted, time-measured 
 phylogenies inferred using strict or relaxed molecular clock models. It
 can be used as a method of reconstructing phylogenies but is also a 
 framework for testing evolutionary hypotheses without conditioning on a 
 single tree topology. BEAST uses MCMC to average over tree space, so that 
 each tree is weighted proportional to its posterior probability. Included 
 is a simple to use user-interface program for setting up standard 
 analyses and a suit of programs for analysing the results.
 .
 This package contains the example data.

Package: beast-mcmc-doc
Architecture: all
Section: contrib/doc
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: beast-mcmc
Description: Bayesian MCMC phylogenetic inference - documentation
 BEAST is a cross-platform program for Bayesian MCMC analysis of molecular 
 sequences. It is entirely orientated towards rooted, time-measured 
 phylogenies inferred using strict or relaxed molecular clock models. It
 can be used as a method of reconstructing phylogenies but is also a 
 framework for testing evolutionary hypotheses without conditioning on a 
 single tree topology. BEAST uses MCMC to average over tree space, so that 
 each tree is weighted proportional to its posterior probability. Included 
 is a simple to use user-interface program for setting up standard 
 analyses and a suit of programs for analysing the results.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file for beast-mcmc
# Andreas Tille <tille@debian.org>
# GPL

#export DH_VERBOSE=1

PACKAGE = beast-mcmc

export JAVA_HOME=/usr/lib/jvm/default-java

DEBJAR    := /usr/share/java
CLASS_PATH := /usr/share/ant/lib/ant.jar:/usr/share/ant/lib/ant-launcher.jar:/usr/share/ant/lib/ant-nodeps.jar:/usr/share/ant/lib/ant-junit.jar:/usr/lib/jvm/java-6-openjdk/lib/tools.jar:$(DEBJAR)/beagle.jar:$(DEBJAR)/mpj.jar:$(DEBJAR)/org.boehn.kmlframework.jar:$(DEBJAR)/itext1-1.4.jar:$(DEBJAR)/junit4.jar:$(DEBJAR)/figtree.jar:lib/colt.jar:$(DEBJAR)/options.jar:$(DEBJAR)/mtj.jar:$(DEBJAR)/jam.jar:$(DEBJAR)/jdom1.jar:$(DEBJAR)/jebl.jar:$(DEBJAR)/commons-math.jar:/usr/lib/R/site-library/rJava/jri/JRI.jar

# to run the test suite
JAVA       := /usr/lib/jvm/default-java/bin/java
ANT_HOME   := /usr/share/ant
ANT_BIN    := $(ANT_HOME)/bin/ant
ANT_ARGS   := -Dcompile.debug=true -Dcompile.optimize=true

%:
	dh $@ --with javahelper

override_dh_auto_clean:
	rm -f native/*\.o native/*\.so native/*\.so\.*
	for cleantex in \
		    Practical_BEAST \
		    BookSection \
		    Practical_BEAST \
		    Yule \
		    SerialSampleCoalescent \
		    BEAST14_Manual \
		; do \
    	    find doc -not -name "*.tex" -a -not -name "*.bib" -and -name "$${cleantex}.*" -exec rm -f \{\} \;  ; \
    	done
	ant clean

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

override_dh_auto_build:
	# CLASSPATH=$(CLASS_PATH)
	ant build
	ant -buildfile build_tracer.xml all
	# native/compileNativeLinux.sh does not create dynamic libraries
	cd native ; \
		gcc $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -Wall -funroll-loops -ffast-math -fstrict-aliasing -c -I/usr/lib/jvm/default-java/include/ NucleotideLikelihoodCore.c -o libNucleotideLikelihoodCore.o ; \
		gcc -shared -Wl,-soname,libNucleotideLikelihoodCore.so.0 -o libNucleotideLikelihoodCore.so.0 libNucleotideLikelihoodCore.o -lc ; \
		gcc $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -Wall -funroll-loops -ffast-math -fstrict-aliasing -c -I/usr/lib/jvm/default-java/include/ AminoAcidLikelihoodCore.c -o libAminoAcidLikelihoodCore.o ; \
		gcc -shared -Wl,-soname,libAminoAcidLikelihoodCore.so.0  -o libAminoAcidLikelihoodCore.so.0  libAminoAcidLikelihoodCore.o  -lc
	#
	# Build extra LaTeX documentation
	#
	cd doc/BookSection; pdflatex BookSection.tex; pdflatex BookSection.tex
	cd doc/Virus\ Practical\ Tex; pdflatex Practical_BEAST.tex; pdflatex Practical_BEAST.tex
	cd doc; pdflatex Yule.tex; pdflatex Yule.tex
	cd doc; pdflatex SerialSampleCoalescent.tex; pdflatex SerialSampleCoalescent.tex
	cd doc; pdflatex BEAST14_Manual.tex; pdflatex BEAST14_Manual.tex
	#
	#####################################################################
	## Run test suite                                                  ##
	## --------------                                                  ##
	## While this test suite runs quite a bit of time (about 30min) it ##
	## is recommended to be run at least once per new version upload   ##
	#####################################################################
	#
	# $(JAVA) -classpath $(CLASS_PATH) -Dant.home=$(ANT_HOME) org.apache.tools.ant.Main $(ANT_ARGS) -buildfile build.xml junit

override_dh_compress:
	dh_compress --exclude=.pdf

get-orig-source:
	. debian/get-orig-source

=== debian/watch ===
version=3
# opts="dversionmangle=s/\./_/g" \
opts="uversionmangle=s/_/./g" \
  http://beast-mcmc.googlecode.com/svn/tags/ beast_release_([_.\d]+)/ \
   debian debian/get-orig-source

#http://googlecode.debian.net/p/beast-mcmc/BEASTv(.+)\.tgz debian echo
     # debian/get-orig-source

## beast-mcmc 1.7.5

=== native/deprecated/Makefile ===
#
# command-line: make STATE_COUNT=<#> mac/linux
#

STATE_COUNT = 4

INNAME 		:= NewNativeLikelihoodCore.c
OUTNAME		:= NativeLikelihoodCore-$(STATE_COUNT)

############

MAC_JAVA_HOME	:= /Library/Java/Home
LINUX_JAVA_HOME	:= /usr/java/latest

MAC_INCLUDES	+= -I$(MAC_JAVA_HOME)/include
LINUX_INCLUDES	+= -I$(LINUX_JAVA_HOME)/include -I$(LINUX_JAVA_HOME)/include/linux

ARCH		:= native

MAC_LINK	:= bundle  # Can also be 'dynamiclib'
LINUX_LINK	:= shared

OPTIONS		:= -funroll-loops -ffast-math -fstrict-aliasing

############################################################


mac :
	cc -c -arch $(ARCH) -O3 -fast $(OPTIONS) $(MAC_INCLUDES) -std=c99 \
	   -DSTATE_COUNT=$(STATE_COUNT) \
	   -o $(OUTNAME).$(ARCH).o $(INNAME)
	cc -o lib$(OUTNAME).$(ARCH).jnilib -framework JavaVM -arch $(ARCH) \
	   -$(MAC_LINK) $(OUTNAME).$(ARCH).o
	lipo -create lib$(OUTNAME).$(ARCH).jnilib \
	     -output lib$(OUTNAME).jnilib

linux :
	gcc -c -O4 $(OPTIONS) $(LINUX_INCLUDES) -c $(INNAME) -std=c99 -DSTATE_COUNT=$(STATE_COUNT)  -o lib$(OUTNAME).o
	ld -$(LINUX_LINK) -o lib$(OUTNAME).so lib$(OUTNAME).o

=== debian/changelog ===
beast-mcmc (1.7.5-1) unstable; urgency=low

  * New upstream version
  * Add debian/README.source explain why we stick to 1.7.x series for
    the moment

 -- Andreas Tille <tille@debian.org>  Thu, 30 May 2013 15:04:56 +0200

beast-mcmc (1.7.4-2) experimental; urgency=low

  * Add copyright license info  for file (Closes: #698497).
   - src/dr/math/matrixAlgebra/RobustSingularValueDecomposition.java

 -- Olivier Sallou <osallou@debian.org>  Sat, 23 Feb 2013 20:55:28 +0100

beast-mcmc (1.7.4-1) experimental; urgency=low

  * New upstream version (adapted patches)
  * debian/{control,rules}: use default java implementation
    thanks for the patch to James Page <james.page@ubuntu.com>
    Closes: #683509
  * debian/control:
     - rename beast-mcmc-lib to libnucleotidelikelihoodcore0
     - Standards-Version: 3.9.4 (no changes needed)
     - do not depend from xterm any more
     - versioned (Build-)Depends from libhmsbeagle-java
  * Remove now unneeded lintian overrides
  * debian/patches/create_soname.patch: Create soname for library
  * debian/rules: silence pdflatex for better readable build logs

 -- Andreas Tille <tille@debian.org>  Mon, 17 Dec 2012 16:43:17 +0100

beast-mcmc (1.6.2-3) unstable; urgency=low

  * rename pixmap for menu to avoid name space conflict
    Closes: #680483

 -- Andreas Tille <tille@debian.org>  Fri, 06 Jul 2012 11:30:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: beast-mcmc
 Section: contrib/science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Olivier Sallou <osallou@debian.org>
 Build-Depends: debhelper (>= 9), javahelper (>=0.25),
  ant, ant-optional, default-jdk,
- libjebl2-java, libjam-java, figtree, liboptions-java, libhmsbeagle-java,
+ libjebl2-java, libjam-java, figtree, liboptions-java, libhmsbeagle-java (>= 1.1r1092),
  libcolt-java, libmpj-java, r-cran-rjava, libcommons-math-java (>= 2.2),
  libjdom1-java, junit4, libmtj-java, libitext1-java, texlive-latex-base,
  texlive-latex-extra
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/beast-mcmc/trunk/
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/beast-mcmc/trunk/
 XS-Autobuild: yes
@@ -19,8 +19,9 @@
 
 Package: beast-mcmc
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${java:Depends}, default-jre | java6-runtime,
- beast-mcmc-lib, xterm | x-terminal-emulator
+Depends: ${shlibs:Depends}, ${misc:Depends}, libhmsbeagle-java (>= 1.1r1092),
+ ${java:Depends}, default-jre | java6-runtime,
+ libnucleotidelikelihoodcore0 (>= ${source:Version})
 Suggests: beast-mcmc-doc
 Description: Bayesian MCMC phylogenetic inference
  BEAST is a cross-platform program for Bayesian MCMC analysis of molecular 
@@ -33,11 +34,14 @@
  is a simple to use user-interface program for setting up standard 
  analyses and a suit of programs for analysing the results.
 
-Package: beast-mcmc-lib
+Package: libnucleotidelikelihoodcore0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: beast-mcmc-doc
-Description: Bayesian MCMC phylogenetic inference
+Replaces: beast-mcmc-lib
+Conflicts: beast-mcmc-lib
+Provides: beast-mcmc-lib
+Section: contrib/libs
+Description: implementation of LikelihoodCore for nucleotides used by beast-mcmc
  BEAST is a cross-platform program for Bayesian MCMC analysis of molecular 
  sequences. It is entirely orientated towards rooted, time-measured 
  phylogenies inferred using strict or relaxed molecular clock models. It
@@ -48,7 +52,8 @@
  is a simple to use user-interface program for setting up standard 
  analyses and a suit of programs for analysing the results.
  .
- This package contains an architecture dependent library.
+ This package an implementation of LikelihoodCore for nucleotides that calls
+ native methods for maximum speed.
 
 Package: beast-mcmc-examples
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file for beast-mcmc
# Andreas Tille <tille@debian.org>
# GPL

#export DH_VERBOSE=1

PACKAGE := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')

JAVA_HOME  := /usr/lib/jvm/default-java

DEBJAR    := /usr/share/java
CLASS_PATH := /usr/share/ant/lib/ant.jar:/usr/share/ant/lib/ant-launcher.jar:/usr/share/ant/lib/ant-nodeps.jar:/usr/share/ant/lib/ant-junit.jar:$(JAVA_HOME)/lib/tools.jar:$(DEBJAR)/beagle.jar:$(DEBJAR)/mpj.jar:$(DEBJAR)/org.boehn.kmlframework.jar:$(DEBJAR)/itext1-1.4.jar:$(DEBJAR)/junit4.jar:$(DEBJAR)/figtree.jar:lib/colt.jar:$(DEBJAR)/options.jar:$(DEBJAR)/mtj.jar:$(DEBJAR)/jam.jar:$(DEBJAR)/jdom1.jar:$(DEBJAR)/jebl.jar:$(DEBJAR)/commons-math.jar:/usr/lib/R/site-library/rJava/jri/JRI.jar

# to run the test suite
JAVA       := $(JAVA_HOME)/bin/java
ANT_HOME   := /usr/share/ant
ANT_BIN    := $(ANT_HOME)/bin/ant
ANT_ARGS   := -Dcompile.debug=true -Dcompile.optimize=true

%:
	dh $@ --with javahelper

override_dh_auto_clean:
	rm -f native/*\.o native/*\.so native/*\.so\.*
	for cleantex in \
		    Practical_BEAST \
		    BookSection \
		    Practical_BEAST \
		    Yule \
		    SerialSampleCoalescent \
		    BEAST14_Manual \
		; do \
    	    find doc -not -name "*.tex" -a -not -name "*.bib" -and -name "$${cleantex}.*" -exec rm -f \{\} \;  ; \
    	done
	ant clean

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
PDFLATEX:=pdflatex -interaction=batchmode

override_dh_auto_build:
	# CLASSPATH=$(CLASS_PATH)
	ant build
	ant -buildfile build_tracer.xml all
	# native/compileNativeLinux.sh does not create dynamic libraries
	cd native ; $(MAKE) -f Makefile.linux JAVA_HOME=$(JAVA_HOME)
#		gcc $(CFLAGS) $(LDFLAGS) -Wall -funroll-loops -ffast-math -fstrict-aliasing -c -I/usr/lib/jvm/default-java/include/ NucleotideLikelihoodCore.c -o libNucleotideLikelihoodCore.o ; \
#		gcc -shared -Wl,-soname,libNucleotideLikelihoodCore.so.0 -o libNucleotideLikelihoodCore.so.0 libNucleotideLikelihoodCore.o -lc ; \
#		gcc $(CFLAGS) $(LDFLAGS) -Wall -funroll-loops -ffast-math -fstrict-aliasing -c -I/usr/lib/jvm/default-java/include/ AminoAcidLikelihoodCore.c -o libAminoAcidLikelihoodCore.o ; \
#		gcc -shared -Wl,-soname,libAminoAcidLikelihoodCore.so.0 -o libAminoAcidLikelihoodCore.so libAminoAcidLikelihoodCore.o -lc
	#
	# Build extra LaTeX documentation
	#
	cd doc/BookSection; $(PDFLATEX) BookSection.tex; $(PDFLATEX) BookSection.tex
	cd doc/tutorial/Virus_Practical*; $(PDFLATEX) Practical_BEAST.tex; $(PDFLATEX) Practical_BEAST.tex
	cd doc; $(PDFLATEX) Yule.tex; $(PDFLATEX) Yule.tex
	cd doc; $(PDFLATEX) SerialSampleCoalescent.tex; $(PDFLATEX) SerialSampleCoalescent.tex
	cd doc; $(PDFLATEX) BEAST14_Manual.tex; $(PDFLATEX) BEAST14_Manual.tex
	#
	#####################################################################
	## Run test suite                                                  ##
	## --------------                                                  ##
	## While this test suite runs quite a bit of time (about 30min) it ##
	## is recommended to be run at least once per new version upload   ##
	#####################################################################
	#
	# $(JAVA) -classpath $(CLASS_PATH) -Dant.home=$(ANT_HOME) org.apache.tools.ant.Main $(ANT_ARGS) -buildfile build.xml junit

override_dh_compress:
	dh_compress --exclude=.pdf

get-orig-source:
	. debian/get-orig-source

=== debian/watch ===
version=3
http://code.google.com/p/beast2/downloads/list?can=1 .*/files/BEAST%20v(\d[\d.]*)\.tgz \
   debian debian/get-orig-source

## beast-mcmc 1.8.0

=== debian/changelog ===
beast-mcmc (1.8.0-1) unstable; urgency=medium

  * New upstream version
  * libnucleotidelikelihoodcore0: Architecture: amd64
  * d/watch: Stick to 1.x series of beast-mcmc
  * cme fix dpkg-control
  * fix encoding issue
  * Explicitly add multiarch library PATH to wrapper script to make sure
    libhmsbeagle-jni will be found
  * Add test but do not add autopkgtest control file for the moment
    (since contrib is not tested anyway)
  * Fix package description
    Closes:  #716790

 -- Andreas Tille <tille@debian.org>  Tue, 30 Sep 2014 18:15:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,43 @@
 Source: beast-mcmc
-Section: contrib/science
-Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
 Uploaders: Andreas Tille <tille@debian.org>,
            Olivier Sallou <osallou@debian.org>
-Build-Depends: debhelper (>= 9), javahelper (>=0.25),
- ant, ant-optional, default-jdk,
- libjebl2-java, libjam-java, figtree, liboptions-java, libhmsbeagle-java (>= 1.1r1092),
- libcolt-java, libmpj-java, r-cran-rjava, libcommons-math-java (>= 2.2),
- libjdom1-java, junit4, libmtj-java, libitext1-java, texlive-latex-base,
- texlive-latex-extra
-Standards-Version: 3.9.4
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/beast-mcmc/trunk/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/beast-mcmc/trunk/
+Section: contrib/science
 XS-Autobuild: yes
+Priority: optional
+Build-Depends: debhelper (>= 9),
+               javahelper,
+               ant,
+               ant-optional,
+               default-jdk,
+               libjebl2-java,
+               libjam-java,
+               figtree,
+               liboptions-java,
+               libhmsbeagle-java (>= 1.1r1092),
+               libcolt-java,
+               libmpj-java,
+               r-cran-rjava,
+               libcommons-math-java (>= 2.2),
+               libjdom1-java,
+               junit4,
+               libmtj-java,
+               libitext1-java,
+               texlive-latex-base,
+               texlive-latex-extra
+Standards-Version: 3.9.6
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/beast-mcmc/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/beast-mcmc/trunk/
 Homepage: http://beast.bio.ed.ac.uk/
 
 Package: beast-mcmc
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, libhmsbeagle-java (>= 1.1r1092),
- ${java:Depends}, default-jre | java6-runtime,
- libnucleotidelikelihoodcore0 (>= ${source:Version})
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libhmsbeagle-java (>= 1.1r1092),
+         ${java:Depends},
+         default-jre | java6-runtime,
+         libnucleotidelikelihoodcore0 (>= ${source:Version})
 Suggests: beast-mcmc-doc
 Description: Bayesian MCMC phylogenetic inference
  BEAST is a cross-platform program for Bayesian MCMC analysis of molecular 
@@ -35,12 +51,13 @@
  analyses and a suit of programs for analysing the results.
 
 Package: libnucleotidelikelihoodcore0
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: beast-mcmc-lib
+Architecture: amd64
+Section: contrib/libs
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Conflicts: beast-mcmc-lib
 Provides: beast-mcmc-lib
-Section: contrib/libs
+Replaces: beast-mcmc-lib
 Description: implementation of LikelihoodCore for nucleotides used by beast-mcmc
  BEAST is a cross-platform program for Bayesian MCMC analysis of molecular 
  sequences. It is entirely orientated towards rooted, time-measured 
@@ -52,13 +69,14 @@
  is a simple to use user-interface program for setting up standard 
  analyses and a suit of programs for analysing the results.
  .
- This package an implementation of LikelihoodCore for nucleotides that calls
- native methods for maximum speed.
+ This package provides an implementation of LikelihoodCore for nucleotides
+ that calls native methods for maximum speed.
 
 Package: beast-mcmc-examples
 Architecture: all
 Section: contrib/doc
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Enhances: beast-mcmc
 Description: Bayesian MCMC phylogenetic inference - example data
  BEAST is a cross-platform program for Bayesian MCMC analysis of molecular 
@@ -76,7 +94,8 @@
 Package: beast-mcmc-doc
 Architecture: all
 Section: contrib/doc
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Enhances: beast-mcmc
 Description: Bayesian MCMC phylogenetic inference - documentation
  BEAST is a cross-platform program for Bayesian MCMC analysis of molecular

=== debian/watch ===
version=3
http://code.google.com/p/beast-mcmc/downloads/list?can=1 .*/files/BEASTv(\d[\d.]+)\.tgz \
   debian debian/get-orig-source

## beast-mcmc 1.8.2~754b844

=== debian/changelog ===
beast-mcmc (1.8.2~754b844-1) unstable; urgency=medium

  * New upstream version
  * d/watch: Point to Github (moved from Google Code)
  * Build-Depends: libcolt-free-java (instead of libcolt-java which leaves
    libmtj-java the last remaining dependency from contrib)
  * drop debian/get-orig-source since uscan can deal with all issues
  * d/copyright:
     * Adapt source location
     * More Files-Excluded
  * Bumped version in versioned Build-Depends: libhmsbeagle-dev
    (>= 2.1.2+20150609)
  * Bumped version in versioned Build-Depends: libjam-dev
    (>= 0.1.20140824)
  * Moved from SVN to Git

 -- Andreas Tille <tille@debian.org>  Sun, 19 Jul 2015 20:15:51 +0200

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                ant-optional,
                default-jdk,
                libjebl2-java,
-               libjam-java,
+               libjam-java (>= 0.1.20140824),
                figtree,
                liboptions-java,
-               libhmsbeagle-java (>= 1.1r1092),
-               libcolt-java,
+               libhmsbeagle-java (>= 2.1.2+20150609),
+               libcolt-free-java,
                libmpj-java,
                r-cran-rjava,
                libcommons-math-java (>= 2.2),
@@ -26,8 +26,8 @@
                texlive-latex-base,
                texlive-latex-extra
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/beast-mcmc/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/beast-mcmc/trunk/
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/beast-mcmc.git
+Vcs-Git: git://anonscm.debian.org/debian-med/beast-mcmc.git
 Homepage: http://beast.bio.ed.ac.uk/
 
 Package: beast-mcmc

=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,7 @@
 
 override_dh_auto_build:
 	# CLASSPATH=$(CLASS_PATH)
+	mkdir -p lib
 	ant build
 	ant -buildfile build_tracer.xml all
 	# native/compileNativeLinux.sh does not create dynamic libraries
@@ -72,4 +73,4 @@
 	dh_compress --exclude=.pdf
 
 get-orig-source:
-	. debian/get-orig-source
+	uscan --verbose --force-download --repack --compression xz

=== debian/watch ===
version=3
opts="uversionmangle=s/_/./g" \
 https://github.com/beast-dev/beast-mcmc/tags .*/beast_release_(\d_.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## beast-mcmc 1.8.2

=== debian/changelog ===
beast-mcmc (1.8.2-1) unstable; urgency=medium

  * Adapt d/watch to changed release names
  * Rename new binary tracer to beast-tracer
    Closes: #813086

 -- Andreas Tille <tille@debian.org>  Fri, 29 Jan 2016 16:03:31 +0100

beast-mcmc (1.8.2~754b844-2) unstable; urgency=medium

  * Depends: libnetlib-java
  * Force exact version match with libnucleotidelikelihoodcore0
  * Add mtj.jar explicitly to classpath in wrapper script
  * Build tracer.jar as well

 -- Andreas Tille <tille@debian.org>  Thu, 28 Jan 2016 10:39:20 +0100

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,8 @@
          libhmsbeagle-java (>= 1.1r1092),
          ${java:Depends},
          default-jre | java6-runtime,
-         libnucleotidelikelihoodcore0 (>= ${source:Version})
+         libnucleotidelikelihoodcore0 (>= ${source:Version}), libnucleotidelikelihoodcore0 (<< ${source:Version}.1~),
+         libnetlib-java
 Suggests: beast-mcmc-doc
 Description: Bayesian MCMC phylogenetic inference
  BEAST is a cross-platform program for Bayesian MCMC analysis of molecular

=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	# CLASSPATH=$(CLASS_PATH)
 	mkdir -p lib
 	ant build
-	ant -buildfile build_tracer.xml all
+	ant -buildfile build_tracer.xml dist
 	# native/compileNativeLinux.sh does not create dynamic libraries
 	cd native ; $(MAKE) -f Makefile.linux JAVA_HOME=$(JAVA_HOME)
 #		gcc $(CFLAGS) $(LDFLAGS) -Wall -funroll-loops -ffast-math -fstrict-aliasing -c -I/usr/lib/jvm/default-java/include/ NucleotideLikelihoodCore.c -o libNucleotideLikelihoodCore.o ; \

=== debian/watch ===
version=3
opts="uversionmangle=s/_/./g" \
 https://github.com/beast-dev/beast-mcmc/releases .*/archive/[a-z_]*(\d[\d._]+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## beast-mcmc 1.8.4+dfsg.1

=== native/deprecated/expokit/Makefile ===
FC	= gfortran
FLIB    = -lgfortran
FFLAGS	= -O3
GCC	= g++
JINC    = -I/Library/Java/Home/include
JLIB    = -L/sw/lib -L/sw/lib/gcc4/lib




#############

OBJS   = dgexpv-beast.o blas.o lapack.o dgpadm.o SparseMatrixExponential.o

jni: $(OBJS) 
	 $(GCC) -o libExpoKit.jnilib -framework JavaVM -dynamiclib \
		$(OBJS) $(FLIB) $(JLIB)

.f.o:;  $(FC) $(FFLAGS) -c $<

.cpp.o:; $(GCC) $(FFLAGS) $(JINC) -c $<

clean:; rm *.o
	rm *.jnilib

=== debian/changelog ===
beast-mcmc (1.8.4+dfsg.1-2) unstable; urgency=medium

  * Architecture: any
    Closes: #780428
  * debhelper 10
  * Standards-Version: 4.1.0 (no changes needed)
  * hardening=+all
  * d/rules: do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Mon, 04 Sep 2017 09:58:57 +0200

beast-mcmc (1.8.4+dfsg.1-1) unstable; urgency=medium

  * Drop packaging tools from upstream source
  * Add missing copyright
  * Fix section for all binary packages
    Closes: #829174

 -- Andreas Tille <tille@debian.org>  Fri, 01 Jul 2016 11:08:37 +0200

beast-mcmc (1.8.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debian/rules: export LC_ALL=C.UTF-8 to cope with encoding issues
  * Upload to unstable (main)

 -- Andreas Tille <tille@debian.org>  Tue, 28 Jun 2016 09:26:11 +0200

beast-mcmc (1.8.3+dfsg-1) experimental; urgency=medium

  * New upstream version
  * Upload to official Debian (experimental)
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Thu, 02 Jun 2016 14:41:23 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Olivier Sallou <osallou@debian.org>
-Section: contrib/science
-XS-Autobuild: yes
+Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                javahelper,
                ant,
                ant-optional,
@@ -18,16 +17,16 @@
                libcolt-free-java,
                libmpj-java,
                r-cran-rjava,
-               libcommons-math-java (>= 2.2),
+               libcommons-math-java,
                libjdom1-java,
                junit4,
                libmtj-java,
                libitext1-java,
                texlive-latex-base,
                texlive-latex-extra
-Standards-Version: 3.9.6
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/beast-mcmc.git
-Vcs-Git: git://anonscm.debian.org/debian-med/beast-mcmc.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/beast-mcmc.git
 Homepage: http://beast.bio.ed.ac.uk/
 
 Package: beast-mcmc
@@ -37,7 +36,8 @@
          libhmsbeagle-java (>= 1.1r1092),
          ${java:Depends},
          default-jre | java6-runtime,
-         libnucleotidelikelihoodcore0 (>= ${source:Version}), libnucleotidelikelihoodcore0 (<< ${source:Version}.1~),
+         libnucleotidelikelihoodcore0 (>= ${source:Version}),
+         libnucleotidelikelihoodcore0 (<< ${source:Version}.1~),
          libnetlib-java
 Suggests: beast-mcmc-doc
 Description: Bayesian MCMC phylogenetic inference
@@ -52,8 +52,8 @@
  analyses and a suit of programs for analysing the results.
 
 Package: libnucleotidelikelihoodcore0
-Architecture: amd64
-Section: contrib/libs
+Architecture: any
+Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Conflicts: beast-mcmc-lib
@@ -75,7 +75,7 @@
 
 Package: beast-mcmc-examples
 Architecture: all
-Section: contrib/doc
+Section: doc
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Enhances: beast-mcmc
@@ -94,7 +94,7 @@
 
 Package: beast-mcmc-doc
 Architecture: all
-Section: contrib/doc
+Section: doc
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Enhances: beast-mcmc

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,9 @@
 
 #export DH_VERBOSE=1
 
-PACKAGE := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
+export LC_ALL=C.UTF-8
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 JAVA_HOME  := /usr/lib/jvm/default-java
 
@@ -71,6 +73,3 @@
 
 override_dh_compress:
 	dh_compress --exclude=.pdf
-
-get-orig-source:
-	uscan --verbose --force-download --repack --compression xz

## beast-mcmc 1.10.4%2Bdfsg

=== debian/changelog ===
beast-mcmc (1.10.4+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Exclude Latex doc creation
  * New Build-Depends: libejml-java
  * New versioned Build-Depends: libhmsbeagle-java (>= 3.0.2)
  * Standards-Version: 4.2.1
  * Do not try to install mac and windows build

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Andreas Tille ]
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Tracer is not build in separate build_tracer.xml any more
  * Upstream does not ship PDF docs any more thus drop -doc package
  * Versioned (Build-)Depends: libhmsbeagle-java (>= 3.1.2~)

 -- Andreas Tille <tille@debian.org>  Tue, 18 Dec 2018 15:52:51 +0100

beast-mcmc (1.8.4+dfsg.1-3) unstable; urgency=medium

  [ Steffen Moeller ]
  * d/control: Standards-Version: 4.1.3 (no changes needed)
  * d/u/metadata:
    - added RRIDs
    - added \n to end of file

  [ Andreas Tille ]
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * debhelper 11
  * Build-Depends: texlive-fonts-recommended

  [ Adrian Bunk ]
  * Fix encoding issues that caused FTBFS with TeX Live 2018
    Closes: #896483

 -- Andreas Tille <tille@debian.org>  Sat, 19 May 2018 08:28:51 +0200

=== debian/control ===
Source: beast-mcmc
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Olivier Sallou <osallou@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               javahelper,
               ant,
               ant-optional,
               default-jdk,
               libjebl2-java,
               libjam-java (>= 0.1.20140824),
               figtree,
               liboptions-java,
               libhmsbeagle-java (>= 3.1.2~),
               libcolt-free-java,
               libmpj-java,
               r-cran-rjava,
               libcommons-math-java,
               libjdom1-java,
               junit4,
               libmtj-java,
               libitext1-java,
               libejml-java,
               libjlapack-java
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/beast-mcmc
Vcs-Git: https://salsa.debian.org/med-team/beast-mcmc.git
Homepage: http://beast.bio.ed.ac.uk/

Package: beast-mcmc
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libhmsbeagle-java (>= 3.1.2~),
         ${java:Depends},
         default-jre | java6-runtime,
         libnucleotidelikelihoodcore0 (>= ${source:Version}),
         libnucleotidelikelihoodcore0 (<< ${source:Version}.1~),
         libnetlib-java
Description: Bayesian MCMC phylogenetic inference
 BEAST is a cross-platform program for Bayesian MCMC analysis of molecular
 sequences. It is entirely orientated towards rooted, time-measured
 phylogenies inferred using strict or relaxed molecular clock models. It
 can be used as a method of reconstructing phylogenies but is also a
 framework for testing evolutionary hypotheses without conditioning on a
 single tree topology. BEAST uses MCMC to average over tree space, so that
 each tree is weighted proportional to its posterior probability. Included
 is a simple to use user-interface program for setting up standard
 analyses and a suit of programs for analysing the results.

Package: libnucleotidelikelihoodcore0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: beast-mcmc-lib
Provides: beast-mcmc-lib
Replaces: beast-mcmc-lib
Description: implementation of LikelihoodCore for nucleotides used by beast-mcmc
 BEAST is a cross-platform program for Bayesian MCMC analysis of molecular
 sequences. It is entirely orientated towards rooted, time-measured
 phylogenies inferred using strict or relaxed molecular clock models. It
 can be used as a method of reconstructing phylogenies but is also a
 framework for testing evolutionary hypotheses without conditioning on a
 single tree topology. BEAST uses MCMC to average over tree space, so that
 each tree is weighted proportional to its posterior probability. Included
 is a simple to use user-interface program for setting up standard
 analyses and a suit of programs for analysing the results.
 .
 This package provides an implementation of LikelihoodCore for nucleotides
 that calls native methods for maximum speed.

Package: beast-mcmc-examples
Architecture: all
Section: doc
Depends: ${shlibs:Depends},
         ${misc:Depends}
Enhances: beast-mcmc
Description: Bayesian MCMC phylogenetic inference - example data
 BEAST is a cross-platform program for Bayesian MCMC analysis of molecular
 sequences. It is entirely orientated towards rooted, time-measured
 phylogenies inferred using strict or relaxed molecular clock models. It
 can be used as a method of reconstructing phylogenies but is also a
 framework for testing evolutionary hypotheses without conditioning on a
 single tree topology. BEAST uses MCMC to average over tree space, so that
 each tree is weighted proportional to its posterior probability. Included
 is a simple to use user-interface program for setting up standard
 analyses and a suit of programs for analysing the results.
 .
 This package contains the example data.

## beast-mcmc 1.10.4+dfsg

=== debian/changelog ===
beast-mcmc (1.10.4+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Migrating to libejml-java 0.38.

 -- Andrius Merkys <merkys@debian.org>  Wed, 13 Nov 2019 01:19:29 -0500

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                junit4,
                libmtj-java,
                libitext1-java,
-               libejml-java,
+               libejml-java (>= 0.38),
                libjlapack-java
 Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/med-team/beast-mcmc

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 JAVA_HOME  := /usr/lib/jvm/default-java
 
 DEBJAR    := /usr/share/java
-CLASS_PATH := /usr/share/ant/lib/ant.jar:/usr/share/ant/lib/ant-launcher.jar:/usr/share/ant/lib/ant-nodeps.jar:/usr/share/ant/lib/ant-junit.jar:$(JAVA_HOME)/lib/tools.jar:$(DEBJAR)/beagle.jar:$(DEBJAR)/mpj.jar:$(DEBJAR)/org.boehn.kmlframework.jar:$(DEBJAR)/itext1-1.4.jar:$(DEBJAR)/junit4.jar:$(DEBJAR)/figtree.jar:lib/colt.jar:$(DEBJAR)/options.jar:$(DEBJAR)/mtj.jar:$(DEBJAR)/jam.jar:$(DEBJAR)/jdom1.jar:$(DEBJAR)/jebl.jar:$(DEBJAR)/commons-math.jar:/usr/lib/R/site-library/rJava/jri/JRI.jar
+CLASS_PATH := /usr/share/ant/lib/ant.jar:/usr/share/ant/lib/ant-launcher.jar:/usr/share/ant/lib/ant-nodeps.jar:/usr/share/ant/lib/ant-junit.jar:$(JAVA_HOME)/lib/tools.jar:$(DEBJAR)/beagle.jar:$(DEBJAR)/mpj.jar:$(DEBJAR)/org.boehn.kmlframework.jar:$(DEBJAR)/itext1-1.4.jar:$(DEBJAR)/junit4.jar:$(DEBJAR)/figtree.jar:lib/colt.jar:$(DEBJAR)/options.jar:$(DEBJAR)/mtj.jar:$(DEBJAR)/jam.jar:$(DEBJAR)/jdom1.jar:$(DEBJAR)/jebl.jar:$(DEBJAR)/commons-math.jar:$(DEBJAR)/EJML.jar:$(DEBJAR)/jlapack-lapack.jar:/usr/lib/R/site-library/rJava/jri/JRI.jar
 
 # to run the test suite
 JAVA       := $(JAVA_HOME)/bin/java
@@ -26,6 +26,7 @@
 
 override_dh_auto_clean:
 	rm -f native/*\.o native/*\.so native/*\.so\.*
+ifeq ($(HASTEXDOC),yes)
 	for cleantex in \
 		    Practical_BEAST \
 		    BookSection \
@@ -36,6 +37,7 @@
 		; do \
     	    find doc -not -name "*.tex" -a -not -name "*.bib" -and -name "$${cleantex}.*" -exec rm -f \{\} \;  ; \
     	done
+endif
 	ant clean
 
 CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
@@ -46,13 +48,15 @@
 	# CLASSPATH=$(CLASS_PATH)
 	mkdir -p lib
 	ant build
-	ant -buildfile build_tracer.xml dist
+	# FIXME: There is no such file build_tracer.xml any more
+	# ant -buildfile build_tracer.xml dist
 	# native/compileNativeLinux.sh does not create dynamic libraries
 	cd native ; $(MAKE) -f Makefile.linux JAVA_HOME=$(JAVA_HOME)
 #		gcc $(CFLAGS) $(LDFLAGS) -Wall -funroll-loops -ffast-math -fstrict-aliasing -c -I/usr/lib/jvm/default-java/include/ NucleotideLikelihoodCore.c -o libNucleotideLikelihoodCore.o ; \
 #		gcc -shared -Wl,-soname,libNucleotideLikelihoodCore.so.0 -o libNucleotideLikelihoodCore.so.0 libNucleotideLikelihoodCore.o -lc ; \
 #		gcc $(CFLAGS) $(LDFLAGS) -Wall -funroll-loops -ffast-math -fstrict-aliasing -c -I/usr/lib/jvm/default-java/include/ AminoAcidLikelihoodCore.c -o libAminoAcidLikelihoodCore.o ; \
 #		gcc -shared -Wl,-soname,libAminoAcidLikelihoodCore.so.0 -o libAminoAcidLikelihoodCore.so libAminoAcidLikelihoodCore.o -lc
+ifeq ($(HASTEXDOC),yes)
 	#
 	# Build extra LaTeX documentation
 	#
@@ -61,7 +65,10 @@
 	cd doc; $(PDFLATEX) Yule.tex; $(PDFLATEX) Yule.tex
 	cd doc; $(PDFLATEX) SerialSampleCoalescent.tex; $(PDFLATEX) SerialSampleCoalescent.tex
 	cd doc; $(PDFLATEX) BEAST14_Manual.tex; $(PDFLATEX) BEAST14_Manual.tex
-	#
+endif
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	#####################################################################
 	## Run test suite                                                  ##
 	## --------------                                                  ##
@@ -70,6 +77,4 @@
 	#####################################################################
 	#
 	# $(JAVA) -classpath $(CLASS_PATH) -Dant.home=$(ANT_HOME) org.apache.tools.ant.Main $(ANT_ARGS) -buildfile build.xml junit
-
-override_dh_compress:
-	dh_compress --exclude=.pdf
+endif

=== debian/watch ===
version=3
opts="uversionmangle=s/_/./g,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
 https://github.com/beast-dev/beast-mcmc/releases .*/archive/[a-z_]*(\d[\d._]+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
